Bug 894305 - directory /var/lock/rpm unowned
Summary: directory /var/lock/rpm unowned
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mock
Version: 19
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Clark Williams
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-01-11 11:46 UTC by Michael S.
Modified: 2014-04-19 09:21 UTC (History)
7 users (show)

Fixed In Version: mock-1.1.38-1.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-11-10 06:38:03 UTC


Attachments (Terms of Use)

Description Michael S. 2013-01-11 11:46:26 UTC
After installing a mock chroot on rawhide, I end with the following :
# LC_ALL=C rpm -qf  /var/lock/rpm/
file /var/lock/rpm is not owned by any package

I do not know what created it, but given the name, i suspect it to be used by rpm, so that would be owned by it.

Comment 1 Panu Matilainen 2013-01-11 12:04:28 UTC
Interesting... rpm doesn't create or use such a path for anything, unless something is overriding %_rpmlock_path from its default value. I have such a directory too in my rawhide mock chroot so maybe its something to do with mock.

Comment 2 Michael S. 2013-01-11 12:16:20 UTC
Indeed, this come from _setupDirs in /usr/lib/python2.7/site-packages/mockbuild/backend.py 

Reassigning to mock then.

Comment 3 Panu Matilainen 2013-01-11 12:32:23 UTC
Yup. And thinking some more, upstream rpm did use such a path between 2004-2005, and its possible RHEL-4 rpm might actually need it. This is where it got introduced into mock:

commit 467b6734b41f1a01f6f9e6765fdcd72d0deb1adb
Author: jcwillia <jcwillia>
Date:   Tue Sep 26 16:29:22 2006 +0000

    RPM workaround


So... like said, no even remotely recent rpm version needs it, but if its needed for compatibility with ancient versions, not a whole lot harm done. A better option might be grabbing the dirname from %_rpmlock_path macro.

Comment 4 Michael S. 2013-01-11 14:14:48 UTC
I am trying to make a tool to check that no directory are unowned on package review, and I would prefer to have a chroot as clean of errors as possible, rather than carry a long list of exception.

So if the file is unused, I think it should be either removed, or owned. Problem with remove is that of course, you do not know what it would break until it break. I do not have any rhel4 to test, and there is no epel config for it.

At least, maybe put a note to remove once rhel 4 is EOL :)

Comment 5 Fedora End Of Life 2013-04-03 18:00:20 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19

Comment 6 Clark Williams 2013-05-17 19:31:09 UTC
(In reply to comment #3)
> Yup. And thinking some more, upstream rpm did use such a path between
> 2004-2005, and its possible RHEL-4 rpm might actually need it. This is where
> it got introduced into mock:
> 
> commit 467b6734b41f1a01f6f9e6765fdcd72d0deb1adb
> Author: jcwillia <jcwillia>
> Date:   Tue Sep 26 16:29:22 2006 +0000
> 
>     RPM workaround
> 
> 
> So... like said, no even remotely recent rpm version needs it, but if its
> needed for compatibility with ancient versions, not a whole lot harm done. A
> better option might be grabbing the dirname from %_rpmlock_path macro.

Since we don't actually support RHEL4 anymore (mock that is), I'll look at pulling that out.

Comment 7 Clark Williams 2013-05-17 20:23:05 UTC
Ok, removing that from  _setupDirs() didn't break my tests, so it's queued up for the next release (a week or so).

Comment 8 Fedora Update System 2013-08-21 22:55:41 UTC
mock-1.1.33-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/mock-1.1.33-1.fc19

Comment 9 Fedora Update System 2013-08-21 22:56:02 UTC
mock-1.1.33-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/mock-1.1.33-1.fc18

Comment 10 Fedora Update System 2013-08-21 22:56:22 UTC
mock-1.1.33-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/mock-1.1.33-1.el6

Comment 11 Fedora Update System 2013-08-22 05:49:03 UTC
Package mock-1.1.33-1.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing mock-1.1.33-1.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2013-11294/mock-1.1.33-1.el6
then log in and leave karma (feedback).

Comment 12 Fedora Update System 2013-08-24 22:26:06 UTC
mock-1.1.33-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2013-10-30 14:59:14 UTC
mock-1.1.34-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/mock-1.1.34-1.fc18

Comment 14 Fedora Update System 2013-10-30 15:01:21 UTC
mock-1.1.34-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/mock-1.1.34-1.el6

Comment 15 Fedora Update System 2013-10-30 15:03:40 UTC
mock-1.1.34-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/mock-1.1.34-1.fc20

Comment 16 Fedora Update System 2013-10-30 15:05:34 UTC
mock-1.1.34-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/mock-1.1.34-1.fc19

Comment 17 Fedora Update System 2013-10-30 17:13:21 UTC
Package mock-1.1.34-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing mock-1.1.34-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-20329/mock-1.1.34-1.fc20
then log in and leave karma (feedback).

Comment 18 Fedora Update System 2013-11-05 05:33:40 UTC
mock-1.1.35-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/mock-1.1.35-1.fc19

Comment 19 Fedora Update System 2013-11-05 05:35:03 UTC
mock-1.1.35-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/mock-1.1.35-1.fc18

Comment 20 Fedora Update System 2013-11-05 05:36:20 UTC
mock-1.1.35-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/mock-1.1.35-1.el6

Comment 21 Fedora Update System 2013-11-05 05:37:35 UTC
mock-1.1.35-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/mock-1.1.35-1.fc20

Comment 22 Fedora Update System 2013-11-10 06:38:03 UTC
mock-1.1.35-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 23 Fedora Update System 2014-02-06 02:10:26 UTC
mock-1.1.36-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/mock-1.1.36-1.fc19

Comment 24 Fedora Update System 2014-02-06 02:11:59 UTC
mock-1.1.36-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/mock-1.1.36-1.fc20

Comment 25 Fedora Update System 2014-02-06 02:13:28 UTC
mock-1.1.36-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/mock-1.1.36-1.el6

Comment 26 Fedora Update System 2014-02-08 05:04:26 UTC
mock-1.1.36-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 27 Fedora Update System 2014-03-25 20:26:34 UTC
mock-1.1.37-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/mock-1.1.37-1.fc19

Comment 28 Fedora Update System 2014-03-25 20:28:47 UTC
mock-1.1.37-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/mock-1.1.37-1.fc20

Comment 29 Fedora Update System 2014-03-25 20:30:40 UTC
mock-1.1.37-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/mock-1.1.37-1.el6

Comment 30 Fedora Update System 2014-03-27 17:49:10 UTC
mock-1.1.37-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/mock-1.1.37-2.fc20

Comment 31 Fedora Update System 2014-03-27 17:51:05 UTC
mock-1.1.37-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/mock-1.1.37-2.fc19

Comment 32 Fedora Update System 2014-03-27 17:53:04 UTC
mock-1.1.37-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/mock-1.1.37-2.el6

Comment 33 Fedora Update System 2014-03-31 19:06:07 UTC
mock-1.1.38-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/mock-1.1.38-1.fc19

Comment 34 Fedora Update System 2014-03-31 19:08:08 UTC
mock-1.1.38-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/mock-1.1.38-1.el6

Comment 35 Fedora Update System 2014-03-31 19:10:09 UTC
mock-1.1.38-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/mock-1.1.38-1.fc20

Comment 36 Fedora Update System 2014-04-09 13:20:37 UTC
mock-1.1.38-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 37 Fedora Update System 2014-04-18 15:39:13 UTC
mock-1.1.38-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 38 Fedora Update System 2014-04-19 09:21:25 UTC
mock-1.1.38-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.